<!--<script type="text/javascript">
    var x = document.getElementById("myAudio").play();
</script>
-->

{% extends 'layouts/base.html' %}

    {% block head %}

        <!--<script type="text/javascript">
            function Update(){
            const xhttp = new XMLHttpRequest();
            xhttp.open('GET', 'turnos.json', false);
            xhttp.send();
            xhttp.onreadystatechange = function(){
                if (this.readyState = 4 && this.status == 200){
                    let turnos = JSON.parse(this.responseText)
                    let res = document.querySelector('#res');
                    res.innerHTML = '';
                    for(let turno or turnos){
                        if (turno.state == 'calling'){
                            res.innerHTML +=
                                <tr class='calling'>
                                    <td> ${turno.patient}</td>
                                    <td> ${turno.professional}</td>
                                    <td> ${turno.specialty}</td>
                                    <td> {{ 'Llamando' }}</td> 
                            }
                        if (turno.state == 'in_atention'){
                            res.innerHTML +=
                                <tr class='in_atention'>
                                    <td> ${turno.patient}</td>
                                    <td> ${turno.professional}</td>
                                    <td> ${turno.specialty}</td>
                                    <td> {{ 'Llamando' }}</td> 
                            }
                    }
                }
            }
            }
//Función para actualizar cada 7 segundos(7000 milisegundos)
            setInterval("Update()",7000);
        </script>
        -->

        <title>Turnos del día</title>
        <link rel="icon" href="/static/images/favicon.ico">
        <meta http-equiv="Expires" content="0">
        <meta http-equiv="Last-Modified" content="0">
        <meta http-equiv="Cache-Control" content="no-cache, mustrevalidate">
        <meta http-equiv="Pragma" content="no-store">
        <meta http-equiv="content-type" content="application/json; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% endblock %}

    {% block body %}

    	<section class="container-table100">
            <h2>LISTA DE ATENCIÓN - {{ organization }}<br>Hoy {{ today }} otorgamos {{ total }} turnos </h2>
        	<div class="izquierda">
            	<h4></h4>
                <table id="tabla_turnos">

                    <tr>
                        <th>Paciente</th>
                        <th>Profesional</th> 
                        <th>Especialidad</th>  
                        <th>Estado</th>  
                    </tr>
                        {% for appointment in turnos_webhook %}
                            {% if appointment.get('state') == 'calling'%}
                            <audio id="myAudio" autoplay>
                                <source
                                    src="{{url_for('static', filename='/multimedia/timbre.ogg')}}"
                                        type="audio/ogg">
                            </audio>
                            <tr class='calling'>
                            <td> {{ appointment.get('patient') }}</td>
                            <td> {{ appointment.get('professional') }}</td>
                            <td> {{ appointment.get('specialty') }}</td>
                            <td> {{ 'Llamando' }}</td>
                            {% elif appointment.get('state') == 'in_atention'%}
                            <tr class='in_atention'>
                            <td> {{ appointment.get('patient') }}</td>
                            <td> {{ appointment.get('professional') }}</td>
                            <td> {{ appointment.get('specialty') }}</td>
                            <td> {{ 'En atención' }}</td>
                            {% endif %}
                            </tr>
                    	{% endfor %}
                </table>
            </div>

         <script type="text/javascript">
            function cargarimagen(){
            // creamos un numero al azar entre 1 y 10 (o cual sea la cantidad de imágenes)
            var x = (Math.floor(Math.random()*17));
            console.log(x);
            var xhttp = new XMLHttpRequest();
            xhttp.setRequestHeader("Content-Type", "application/json");
            xhttp.open('GET', "{{url_for('base_blueprint.static', filename='js/turnos.json')}}", true);
            xhttp.send();
            xhttp.onreadystatechange = function(){
                if (this.readyState == 4 && this.status == 200){
                    //let turnos = JSON.parse(this.responseText);
                    console.log(this.responseText);
                }
            };

//como no son tantas, puede que alguna vez se repita 2 veces la misma
//incluso, si usamos numeros para las imágenes, la script puede ser más sencilla
            if (x == 0){
                document.getElementById("myimage").src="../static/images/slideshow/1.png"}
            else if (x == 1){
                document.getElementById("myimage").src="../static/images/slideshow/2.png"}
            else if (x == 2){
                document.getElementById("myimage").src="../static/images/slideshow/3.png"}
            else if (x == 3){
                document.getElementById("myimage").src="../static/images/slideshow/4.png"}
            else if (x == 4){
                document.getElementById("myimage").src="../static/images/slideshow/5.png"}
            else if (x == 5){
                document.getElementById("myimage").src="../static/images/slideshow/6.png"}
            else if (x == 6){
                document.getElementById("myimage").src="../static/images/slideshow/7.png"}
            else if (x == 7){
                document.getElementById("myimage").src="../static/images/slideshow/8.png"}
            else if (x == 8){
                document.getElementById("myimage").src="../static/images/slideshow/9.png"}
            else if (x == 9){
                document.getElementById("myimage").src="../static/images/slideshow/10.png"}
            else if (x == 10){
                document.getElementById("myimage").src="../static/images/slideshow/11.png"}
            else if (x == 11){
                document.getElementById("myimage").src="../static/images/slideshow/12.png"}
            else if (x == 12){
                document.getElementById("myimage").src="../static/images/slideshow/13.png"}
            else if (x == 13){
                document.getElementById("myimage").src="../static/images/slideshow/14.png"}
            else if (x == 14){
                document.getElementById("myimage").src="../static/images/slideshow/15.png"}
            else if (x == 15){
                document.getElementById("myimage").src="../static/images/slideshow/16.png"}
            else if (x == 16){
                document.getElementById("myimage").src="../static/images/slideshow/17.png"}
            }

            function actualizar(){
            location.reload(true);
            }
            setTimeout("cargarimagen()", 200);
            setTimeout("actualizar()",10000);
        </script>

        <div class="images">
            <img src="" id="myimage" style="margin-bottom:150px">
        </div>
        <!--<div class="images2">
            <img src="" id="myimages2" style="margin-bottom:10px">
        </div>-->
        <footer class="footer"> 
            <p>Desarrollado por el GESPyTA de la FI-UNER para uso en GNUHealth - v0.3 (2022) - copyleft</p>
            <a href="http://ingenieria.uner.edu.ar/grupos/salud_publica/" target="_blank" class="a">¿Quienes somos?</a>
            <a href="https://gitlab.com/gnuhealth_fiuner" target="_blank" class="a">Nuestro Repositorio</a>
            <a href="mailto=saludpublica@ingenieria.uner.edu.ar" target="_blank" class="a">Contacto</a>
        </footer>

    {% endblock %}

    <script>

    </script>
